Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class CombineValidator

    java.lang.Object
      com.thaiopensource.validate.CombineValidator

All Implemented Interfaces:
  Validator

    public class CombineValidator

extends Object
implements Validator

Constructor Summary
`CombineValidator(Validator v1, Validator v2)`

Method Summary
`ContentHandler` | `getContentHandler()` Returns the ContentHandler that will receive the XML document.
`DTDHandler` | `getDTDHandler()` Returns a DTDHandler.
`void` | `reset()` Cleans up after validating a document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombineValidator

    public CombineValidator(Validator v1,
                            Validator v2)

Method Detail

### reset

    public void reset()

  Description copied from interface: `Validator`
  Cleans up after validating a document. After completing validation of a document, `reset` must be called. After calling reset(), another document may be validated. Calling this method may create new ContentHandler and DTDHandler objects or may simply reinitialize the state of the existing objects.

  Specified by:
    `reset` in interface `Validator`

### getContentHandler

    public ContentHandler getContentHandler()

  Description copied from interface: `Validator`
  Returns the ContentHandler that will receive the XML document. Information about the XML document to be validated must be reported by calling methods on the returned ContentHandler. When validation of an XML document has been completed (either endDocument() has been called or validation has been abandoned prematurely), reset() must be called. If no calls are made on the ContentHandler, then reset() need not be called. Implementations should allocate resources that require cleanup (e.g. threads, open files) lazily, typically in startDocument(). This method does not change the state of the Validator: the same object will always be returned unless `reset` is called.

  Specified by:
    `getContentHandler` in interface `Validator`
  Returns:
    a ContentHandler, never `null`
  See Also:
    `Validator.reset()`

### getDTDHandler

    public DTDHandler getDTDHandler()

  Description copied from interface: `Validator`
  Returns a DTDHandler. Information about the DTD must be reported by calling methods on the returned object, unless `null` is returned. The same object will always be returned unless `reset` is called: this method does not change the state of the Validator.

  Specified by:
    `getDTDHandler` in interface `Validator`
  Returns:
    a DTDHandler, maybe `null` if DTD information is not significant to the `Validator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD